List Pix Transfers
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/transfers \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/transfers"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "019c96a0-0c21-71f9-a487-66a1258278a1",
"endToEndId": "E123456789BR1234567890123456789",
"amount": "100.00",
"status": "COMPLETED",
"type": "CASHOUT",
"description": "Pix Cashout Transfer",
"source": {
"key": "john.doe@example.com",
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "CACC"
},
"owner": {
"document": "12345678901",
"name": "John Doe",
"tradeName": "John's Business",
"type": "NATURAL_PERSON"
}
},
"destination": {
"key": "john.doe@example.com",
"account": {
"branch": "0001",
"number": "123456789",
"participant": "12345678",
"type": "CACC"
},
"owner": {
"document": "12345678901",
"name": "John Doe",
"tradeName": "John's Business",
"type": "NATURAL_PERSON"
}
},
"paymentType": "IMMEDIATE",
"initiationType": "KEY",
"urgency": "HIGH",
"purpose": "TRANSFER",
"accountId": "01989f9e-6508-79f8-9540-835be49fbd0d",
"aliasId": "01989f9e-6508-79f8-9540-835be49fbd0e",
"initiatedAt": "2024-01-15T10:30:00Z",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"ledger": {
"transactionId": "550e8400-e29b-41d4-a716-446655440011",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440012",
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440013",
"revert": {
"transactionId": "550e8400-e29b-41d4-a716-446655440014",
"sourceOperationId": "550e8400-e29b-41d4-a716-446655440015",
"destinationOperationId": "550e8400-e29b-41d4-a716-446655440016"
}
},
"metadata": {},
"feeCharge": {
"applied": true,
"calculationType": "segment",
"totalAmount": "2.50",
"netAmount": "97.50",
"fees": [
{
"feeLabel": "PIX_FEE",
"amount": "1.50",
"creditAccount": "01989f9e-6508-79f8-9540-835be49fbd0d",
"calculationType": "PERCENTAGE",
"calculationValue": "1.5"
}
]
}
}
],
"limit": 10,
"offset": 0
}List Pix Transfers
Use this endpoint to list Pix Transfers with optional filters and pagination.
GET
/
v1
/
transfers
List Pix Transfers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique identifier of the Midaz Ledger Account (UUID format).
Query Parameters
Maximum number of items per page.
Required range:
1 <= x <= 100The number of items to skip before starting to collect the result set.
Sort direction: asc or desc.
Available options:
asc, desc Filter by the Pix transfer end-to-end identifier.
Filter by the transfer status (CREATED, PENDING, PROCESSING, COMPLETED, FAILED, REVERSED).
Available options:
CREATED, PENDING, PROCESSING, COMPLETED, FAILED, REVERSED Filter by transfer direction (CASHOUT or CASHIN).
Available options:
CASHOUT, CASHIN Filter by records modified after this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).
Filter by records modified before this timestamp (RFC3339 format: 2024-01-15T10:30:00Z).
Was this page helpful?
⌘I

